diff -uwr source/scripts/dp88_ar_unitScripts.h sourceold/scripts/dp88_ar_unitScripts.h
--- source/scripts/dp88_ar_unitScripts.h	2013-02-19 19:54:31.485351500 +0800
+++ sourceold/scripts/dp88_ar_unitScripts.h	2013-01-13 12:06:54.688539100 +0800
@@ -216,17 +216,15 @@
 *   which are closer to the turret, good for less accurate weapons
 * \param Modifier_Target_Damage
 *   Priority modification to apply based on damage a target has already sustained. Higher values
-*   will favour targets which have already been damaged in combat, picking them off first
+*   will favour targets which have already been damaged in combat, picking them off first.
 * \param Modifier_Target_Value
 *   Priority modification to apply based on the value of the target. Higher values will favour
-*   targets with a higher purchase cost, good for hard hitting weapons
+*   targets with a higher purchase cost, good for hard hitting weapons.
 * \param Requires_Power
 *   Specify whether this turret requires base power to operate: 1 to require power, 0 to ignore
 * \param Debug
 *   Specify whether to produce a debug logfile about the turrets targetting decisions, this is
-*   useful for fine tuning your base priorities and modifiers: 1 to enable, 0 to disable
-* \param Detects_Stealth
-*   Determine whether this turret can detect stealthed enemies or not: 1 to enable, 0 to disable
+*   useful for fine tuning your base priorities and modifiers: 1 to enable, 0 to disable.
 *
 * \note
 *   Vehicles are always classified as light vehicles unless they have the dp88_AI_heavyVehicleMarker
diff -uwr source/scripts/dp88_customAI.cpp sourceold/scripts/dp88_customAI.cpp
--- source/scripts/dp88_customAI.cpp	2013-02-20 18:24:27.157226500 +0800
+++ sourceold/scripts/dp88_customAI.cpp	2013-01-13 12:06:54.641664100 +0800
@@ -29,36 +29,6 @@
   Init(obj);
 }
 
-// -------------------------------------------------------------------------------------------------
-
-void dp88_customAI::Custom ( GameObject* pObj, int message, int param, GameObject* pSender )
-{
-  if ( message == CUSTOM_AI_DISABLEAI && m_bAiEnabled )
-  {
-    m_bAiEnabled = false;
-    AIStateChanged(pObj, false);
-  }
-
-  else if ( message == CUSTOM_AI_ENABLEAI && !m_bAiEnabled )
-  {
-    m_bAiEnabled = true;
-    AIStateChanged(pObj, true);
-  }
-}
-
-// -------------------------------------------------------------------------------------------------
-
-void dp88_customAI::AIStateChanged( GameObject* pObj, bool bEnabled )
-{
-  if ( bEnabled )
-    Commands->Innate_Enable( pObj );
-  else
-    Commands->Innate_Disable( pObj );
-  Commands->Enable_Enemy_Seen( pObj, bEnabled );
-}
-
-// -------------------------------------------------------------------------------------------------
-
 void dp88_customAI::Action_Complete( GameObject *obj, int action_id, ActionCompleteReason complete_reason )
 {
   if ( action_id == 2 )
@@ -69,12 +39,9 @@
   }
 }
 
-// -------------------------------------------------------------------------------------------------
-
 void dp88_customAI::Init( GameObject *obj )
 {
   // Set default values
-  m_bAiEnabled    = true;
   targetID        = 0;
   targetLastSeen  = 0;
   targetPriority  = 0.0f;
@@ -87,8 +54,6 @@
   Commands->Enable_Vehicle_Transitions( obj, false );
 }
 
-// -------------------------------------------------------------------------------------------------
-
 void dp88_customAI::loadSettings ( GameObject *obj, bool loadSecondaryFireSettings, bool loadBuildingTargetSettings )
 {
   // Load base target type priorities
@@ -119,8 +84,6 @@
   secondary_minRange      = ( loadSecondaryFireSettings ) ? Get_Int_Parameter ( "Min_Attack_Range_Secondary" ) : 0;
   secondary_maxRange      = ( loadSecondaryFireSettings ) ? Get_Int_Parameter ( "Max_Attack_Range_Secondary" ) : 0;
 
-  // Load other settings
-  m_bCanDetectStealth     = (Get_Int_Parameter("Detects_Stealth")>0);
 
   // If debugging is enabled open the debug file
   debug = ( Get_Int_Parameter("Debug") == 1 );
@@ -132,16 +95,12 @@
   }
 }
 
-// -------------------------------------------------------------------------------------------------
-
 float dp88_customAI::getDistance ( GameObject *obj1, GameObject *obj2 )
 {
   // Gets distance between two objects
   return Commands->Get_Distance ( Commands->Get_Position ( obj1 ), Commands->Get_Position ( obj2 ) );
 }
 
-// -------------------------------------------------------------------------------------------------
-
 float dp88_customAI::getPriority( GameObject *obj, GameObject *target )
 {
   if ( !obj || !target )
@@ -163,12 +122,6 @@
     return 0.0;
   }
 
-  if ( !m_bCanDetectStealth && target->As_SmartGameObj() && target->As_SmartGameObj()->Is_Stealthed() )
-  {
-    if ( debug ) fprintf ( debugFile, "Target %d is currently stealthed and stealth detection is disabled\n", Commands->Get_ID(target));
-    return 0.0;
-  }
-
   float priority = 0.0;
 
 
@@ -235,7 +188,6 @@
   return priority;
 }
 
-// -------------------------------------------------------------------------------------------------
 
 float dp88_customAI::getPriority ( GameObject *obj, int target_id )
 {
@@ -243,7 +195,6 @@
   return getPriority ( obj, Commands->Find_Object ( target_id ) );
 }
 
-// -------------------------------------------------------------------------------------------------
 
 bool dp88_customAI::getPrimary ( GameObject *target )
 {
@@ -258,7 +209,6 @@
   return true;
 }
 
-// -------------------------------------------------------------------------------------------------
 
 bool dp88_customAI::IsVehicleEmpty( VehicleGameObj* vobj )
 {
@@ -269,7 +219,6 @@
   return (vobj->Get_Occupant_Count() == 0);
 }
 
-// -------------------------------------------------------------------------------------------------
 
 bool dp88_customAI::IsVehicleAIEnabled( VehicleGameObj* vobj )
 {
@@ -280,11 +229,6 @@
 
 
 
-
-
-
-
-
 /*------------------------
 Offensive Tank AI
 --------------------------*/
@@ -516,10 +460,13 @@
   "Modifier_Distance=0.25:float,"
   "Modifier_Target_Damage=0.1:float,"
   "Modifier_Target_Value=0.05:float,"
-  "Debug=0:int,"
-  "Detects_Stealth=1:int"
+  "Debug=0:int"
 );
 
+// Legacy Registrant
+// \todo remove this
+ScriptRegistrant<dp88_AI_Tank_Offensive> dp88_tankAI_Offensive_Registrant("dp88_tankAI_Offensive","Priority_Infantry=1.0:float,Weapon_Infantry=1:int,Splash_Infantry=0:int,Priority_Light_Vehicle=5.0:float,Weapon_Light_Vehicle=1:int,Priority_Heavy_Vehicle=7.0:float,Weapon_Heavy_Vehicle=1:int,Priority_VTOL=5.0:float,Weapon_VTOL=1:int,Priority_Building=12.0:float,Weapon_Building=1:int,Max_Attack_Range=150:int,Min_Attack_Range=0:int,Preferred_Attack_Range=60:int,Max_Attack_Range_Secondary=150:int,Min_Attack_Range_Secondary=0:int,Preferred_Attack_Range_Secondary=60:int,Modifier_Distance=0.25:float,Modifier_Target_Damage=0.1:float,Modifier_Target_Value=0.05:float,Debug=0:int");
+
 
 
 
@@ -539,8 +486,6 @@
   Commands->Start_Timer ( obj, this, 1.0, TIMER_CUSTOMAI_THINK );
 }
 
-// -------------------------------------------------------------------------------------------------
-
 void dp88_AI_Turret::loadSettings(  GameObject *obj, bool loadSecondaryFireSettings, bool loadBuildingTargetSettings )
 {
   dp88_customAI::loadSettings(obj, loadSecondaryFireSettings, loadBuildingTargetSettings);
@@ -549,8 +494,6 @@
   splashInfantry = (Get_Int_Parameter("Splash_Infantry") > 0 ) ? true: false;
 }
 
-// -------------------------------------------------------------------------------------------------
-
 void dp88_AI_Turret::Enemy_Seen ( GameObject *obj, GameObject *enemy )
 {
   // If we saw a soldier in a vehicle, switch the GameObject to that of the vehicle
@@ -615,8 +558,6 @@
 	else if ( debug ) fprintf ( debugFile, "Current target has a higher priority than new enemy, continuing to attack current target\n" );
 }
 
-// -------------------------------------------------------------------------------------------------
-
 void dp88_AI_Turret::Timer_Expired( GameObject *obj, int number )
 {
 	// Check target is still alive, still an enemy (eg: stolen vehicles) and in range
@@ -650,17 +591,8 @@
 	}
 }
 
-// -------------------------------------------------------------------------------------------------
 
-void dp88_AI_Turret::AIStateChanged( GameObject* pObj, bool bEnabled )
-{
-  dp88_customAI::AIStateChanged(pObj, bEnabled);
 
-  if ( !bEnabled )
-    stopAttacking(pObj);
-}
-
-// -------------------------------------------------------------------------------------------------
 
 // Returns true if the target is on the enemy team, false otherwise
 bool dp88_AI_Turret::checkTeam ( GameObject* obj, GameObject* target )
@@ -668,7 +600,8 @@
 	return !( Commands->Get_Player_Type ( target ) == 2 || Commands->Get_Player_Type ( target ) == Commands->Get_Player_Type ( obj ) );
 }
 
-// -------------------------------------------------------------------------------------------------
+
+
 
 // Returns true if the target is between our minimum and maximum range for either primary
 // or secondary weapons
@@ -690,7 +623,6 @@
 	return true;
 }
 
-// -------------------------------------------------------------------------------------------------
 
 // Returns true if the base is powered or the defence does not require power
 bool dp88_AI_Turret::checkPowerState ( GameObject* obj )
@@ -698,7 +630,8 @@
 	return ( !requiresPower || Is_Base_Powered(Get_Object_Type(obj)) );
 }
 
-// -------------------------------------------------------------------------------------------------
+
+
 
 // These is called when a valid target has been identified and selected as the highest priority
 // target, the turret should begin attacking in this function. Note that this may be called
@@ -717,8 +650,6 @@
 	Commands->Action_Attack( obj, params );
 }
 
-// -------------------------------------------------------------------------------------------------
-
 // This is called instead of attackTarget when we are set to splash infantry instead of shooting
 // at them directly. Whilst we are attacking an infantry unit with splash this will be called
 // regularly on a timer to update the location of the target. Note that this may be called
@@ -752,8 +683,6 @@
 	}
 }
 
-// -------------------------------------------------------------------------------------------------
-
 // This is called when the target is no longer valid and the turret should stop attacking, this
 // is called to stop both attackTarget and splashLocation attacks.
 void dp88_AI_Turret::stopAttacking ( GameObject* obj )
@@ -767,7 +696,6 @@
 
 
 
-
 // -------------------------------------------------------------------------------------------------
 //  Popup Turret AI
 // -------------------------------------------------------------------------------------------------
@@ -1345,8 +1273,8 @@
 // Heavy vehicle marker (dummy script)
 ScriptRegistrant<dp88_AI_heavyVehicleMarker> dp88_AI_heavyVehicleMarker_Registrant("dp88_AI_heavyVehicleMarker","");
 
-ScriptRegistrant<dp88_AI_Turret> dp88_AI_Turret_Registrant("dp88_AI_Turret","Priority_Infantry=1.0:float,Weapon_Infantry=1:int,Splash_Infantry=0:int,Priority_Light_Vehicle=5.0:float,Weapon_Light_Vehicle=1:int,Priority_Heavy_Vehicle=7.0:float,Weapon_Heavy_Vehicle=1:int,Priority_VTOL=5.0:float,Weapon_VTOL=1:int,Min_Attack_Range=0:int,Max_Attack_Range=150:int,Min_Attack_Range_Secondary=0:int,Max_Attack_Range_Secondary=150:int,Modifier_Distance=0.25:float,Modifier_Target_Damage=0.1:float,Modifier_Target_Value=0.05:float,Requires_Power=0:int,Debug=0:int,Detects_Stealth=1:int");
-ScriptRegistrant<dp88_AI_PopupTurret> dp88_AI_PopupTurret_Registrant("dp88_AI_PopupTurret","Priority_Infantry=1.0:float,Weapon_Infantry=1:int,Splash_Infantry=0:int,Priority_Light_Vehicle=5.0:float,Weapon_Light_Vehicle=1:int,Priority_Heavy_Vehicle=7.0:float,Weapon_Heavy_Vehicle=1:int,Priority_VTOL=5.0:float,Weapon_VTOL=1:int,Min_Attack_Range=0:int,Max_Attack_Range=150:int,Min_Attack_Range_Secondary=0:int,Max_Attack_Range_Secondary=150:int,Deploy_Animation:string,Deploy_Animation_Frames:int,Deploy_Sound:string,Deploy_Timeout:int,Spotter_Preset:string,Modifier_Distance=0.25:float,Modifier_Target_Damage=0.1:float,Modifier_Target_Value=0.05:float,Requires_Power=0:int,Debug=0:int,Detects_Stealth=1:int");
+ScriptRegistrant<dp88_AI_Turret> dp88_AI_Turret_Registrant("dp88_AI_Turret","Priority_Infantry=1.0:float,Weapon_Infantry=1:int,Splash_Infantry=0:int,Priority_Light_Vehicle=5.0:float,Weapon_Light_Vehicle=1:int,Priority_Heavy_Vehicle=7.0:float,Weapon_Heavy_Vehicle=1:int,Priority_VTOL=5.0:float,Weapon_VTOL=1:int,Min_Attack_Range=0:int,Max_Attack_Range=150:int,Min_Attack_Range_Secondary=0:int,Max_Attack_Range_Secondary=150:int,Modifier_Distance=0.25:float,Modifier_Target_Damage=0.1:float,Modifier_Target_Value=0.05:float,Requires_Power=0:int,Debug=0:int");
+ScriptRegistrant<dp88_AI_PopupTurret> dp88_AI_PopupTurret_Registrant("dp88_AI_PopupTurret","Priority_Infantry=1.0:float,Weapon_Infantry=1:int,Splash_Infantry=0:int,Priority_Light_Vehicle=5.0:float,Weapon_Light_Vehicle=1:int,Priority_Heavy_Vehicle=7.0:float,Weapon_Heavy_Vehicle=1:int,Priority_VTOL=5.0:float,Weapon_VTOL=1:int,Min_Attack_Range=0:int,Max_Attack_Range=150:int,Min_Attack_Range_Secondary=0:int,Max_Attack_Range_Secondary=150:int,Deploy_Animation:string,Deploy_Animation_Frames:int,Deploy_Sound:string,Deploy_Timeout:int,Spotter_Preset:string,Modifier_Distance=0.25:float,Modifier_Target_Damage=0.1:float,Modifier_Target_Value=0.05:float,Requires_Power=0:int,Debug=0:int");
 ScriptRegistrant<dp88_AI_PopupTurret_Spotter> dp88_AI_PopupTurret_Spotter_Registrant("dp88_AI_PopupTurret_Spotter","tId:int");
-ScriptRegistrant<dp88_AI_ChargedTurret> dp88_AI_ChargedTurret_Registrant("dp88_AI_ChargedTurret","Priority_Infantry=1.0:float,Weapon_Infantry=1:int,Splash_Infantry=0:int,Priority_Light_Vehicle=5.0:float,Weapon_Light_Vehicle=1:int,Priority_Heavy_Vehicle=7.0:float,Weapon_Heavy_Vehicle=1:int,Priority_VTOL=5.0:float,Weapon_VTOL=1:int,Min_Attack_Range=0:int,Max_Attack_Range=150:int,Min_Attack_Range_Secondary=0:int,Max_Attack_Range_Secondary=150:int,Animation_Model:string,Animation_Model_Bone:string,Animation:string,Animation_Idle_Start_Frame:int,Animation_Idle_End_Frame:int,Animation_Unpowered_Start_Frame:int,Animation_Unpowered_End_Frame:int,Animation_Charge_Start_Frame:int,Animation_Charge_End_Frame:int,Charge_Sound:string,Modifier_Distance=0.25:float,Modifier_Target_Damage=0.1:float,Modifier_Target_Value=0.05:float,Requires_Power=0:int,Debug=0:int,Detects_Stealth=1:int");
+ScriptRegistrant<dp88_AI_ChargedTurret> dp88_AI_ChargedTurret_Registrant("dp88_AI_ChargedTurret","Priority_Infantry=1.0:float,Weapon_Infantry=1:int,Splash_Infantry=0:int,Priority_Light_Vehicle=5.0:float,Weapon_Light_Vehicle=1:int,Priority_Heavy_Vehicle=7.0:float,Weapon_Heavy_Vehicle=1:int,Priority_VTOL=5.0:float,Weapon_VTOL=1:int,Min_Attack_Range=0:int,Max_Attack_Range=150:int,Min_Attack_Range_Secondary=0:int,Max_Attack_Range_Secondary=150:int,Animation_Model:string,Animation_Model_Bone:string,Animation:string,Animation_Idle_Start_Frame:int,Animation_Idle_End_Frame:int,Animation_Unpowered_Start_Frame:int,Animation_Unpowered_End_Frame:int,Animation_Charge_Start_Frame:int,Animation_Charge_End_Frame:int,Charge_Sound:string,Modifier_Distance=0.25:float,Modifier_Target_Damage=0.1:float,Modifier_Target_Value=0.05:float,Requires_Power=0:int,Debug=0:int");
 ScriptRegistrant<dp88_AI_ChargedTurret_Animation> dp88_AI_ChargedTurret_Animation_Registrant("dp88_AI_ChargedTurret_Animation","tId:int");
diff -uwr source/scripts/dp88_customAI.h sourceold/scripts/dp88_customAI.h
--- source/scripts/dp88_customAI.h	2013-02-21 19:28:09.908203100 +0800
+++ sourceold/scripts/dp88_customAI.h	2013-01-13 11:33:13.581117200 +0800
@@ -25,15 +25,6 @@
 *
 * This class contains the core logic used in custom AI scripts, such as the target prioritisation
 * mechanism. It is not an actual script in it's own right and cannot be used in LevelEdit directly.
-*
-* \note
-*   AI scripts derived from this class support being disabled and enabled on the fly by sending the
-*   following custom messages to the object the script is attached to.<br/>
-*   <table>
-*     <tr>  <th>Custom Message</th>  <th>Effect</th></tr>
-*     <tr>  <td>-637140989</td>      <td>Disable the AI</td></tr>
-*     <tr>  <td>-637140988</td>      <td>Enable the AI</td></tr>
-*   </table>
 */
 class dp88_customAI : public ScriptImpClass
 {
@@ -73,10 +64,6 @@
   float targetPriority;
   bool primary_target;
 
-  // Other settings
-  bool m_bAiEnabled;
-  bool m_bCanDetectStealth;
-
   // Debug state
   bool debug;
   FILE* debugFile;
@@ -89,14 +76,11 @@
   ----- */
 
   virtual void Created( GameObject *obj );
-  virtual void Custom ( GameObject* pObj, int message, int param, GameObject* pSender );
   virtual void Action_Complete( GameObject *obj, int action_id, ActionCompleteReason complete_reason  );
   //virtual void Enemy_Seen ( GameObject *obj, GameObject *enemy );
   //virtual void Timer_Expired( GameObject *obj, int number );
 
 
-
-
   /* ----
   Functions
   ----- */
@@ -104,8 +88,6 @@
   virtual void Init( GameObject *obj );
   virtual void loadSettings( GameObject *obj, bool loadSecondaryFireSettings, bool loadBuildingTargetSettings );
   
-  virtual void AIStateChanged( GameObject* pObj, bool bEnabled );
-
   float getDistance ( GameObject *obj1, GameObject *obj2 );
   virtual float getPriority( GameObject *obj, GameObject *target );
   virtual float getPriority( GameObject *obj, int target_id );
@@ -224,23 +206,19 @@
 *   which are closer to the turret, good for less accurate weapons
 * \param Modifier_Target_Damage
 *   Priority modification to apply based on damage a target has already sustained. Higher values
-*   will favour targets which have already been damaged in combat, picking them off first
+*   will favour targets which have already been damaged in combat, picking them off first.
 * \param Modifier_Target_Value
 *   Priority modification to apply based on the value of the target. Higher values will favour
-*   targets with a higher purchase cost, good for hard hitting weapons
+*   targets with a higher purchase cost, good for hard hitting weapons.
 * \param Requires_Power
 *   Specify whether this turret requires base power to operate: 1 to require power, 0 to ignore
 * \param Debug
 *   Specify whether to produce a debug logfile about the turrets targetting decisions, this is
-*   useful for fine tuning your base priorities and modifiers: 1 to enable, 0 to disable
-* \param Detects_Stealth
-*   Determine whether this turret can detect stealthed enemies or not: 1 to enable, 0 to disable
+*   useful for fine tuning your base priorities and modifiers: 1 to enable, 0 to disable.
 *
 * \note
 *   Vehicles are always classified as light vehicles unless they have the dp88_AI_heavyVehicleMarker
-*   script attached to them<br/>
-*   <br/>
-*   The turret can be disabled using custom messages, see the note about this in dp88_customAI
+*   script attached to them.
 *
 * \warning
 *   Never leave the Debug parameter enabled when releasing your mod, it will clog up everyones
@@ -253,13 +231,10 @@
   virtual void Enemy_Seen ( GameObject *obj, GameObject *enemy );
   virtual void Timer_Expired( GameObject *obj, int number );
 
-  // Custom AI initialisation script overrides
+  // Custom AI initialisation script overloads
   virtual void Init( GameObject *obj );
   virtual void loadSettings( GameObject *obj, bool loadSecondaryFireSettings, bool loadBuildingTargetSettings );
 
-  // Custom AI event overrides
-  virtual void AIStateChanged( GameObject* pObj, bool bEnabled );
-
 protected:
   bool requiresPower, splashInfantry;
 
@@ -354,23 +329,19 @@
 *   which are closer to the turret, good for less accurate weapons
 * \param Modifier_Target_Damage
 *   Priority modification to apply based on damage a target has already sustained. Higher values
-*   will favour targets which have already been damaged in combat, picking them off first
+*   will favour targets which have already been damaged in combat, picking them off first.
 * \param Modifier_Target_Value
 *   Priority modification to apply based on the value of the target. Higher values will favour
-*   targets with a higher purchase cost, good for hard hitting weapons
+*   targets with a higher purchase cost, good for hard hitting weapons.
 * \param Requires_Power
 *   Specify whether this turret requires base power to operate: 1 to require power, 0 to ignore
 * \param Debug
 *   Specify whether to produce a debug logfile about the turrets targetting decisions, this is
-*   useful for fine tuning your base priorities and modifiers: 1 to enable, 0 to disable
-* \param Detects_Stealth
-*   Determine whether this turret can detect stealthed enemies or not: 1 to enable, 0 to disable
+*   useful for fine tuning your base priorities and modifiers: 1 to enable, 0 to disable.
 *
 * \note
 *   Vehicles are always classified as light vehicles unless they have the dp88_AI_heavyVehicleMarker
-*   script attached to them<br/>
-*   <br/>
-*   The turret can be disabled using custom messages, see the note about this in dp88_customAI
+*   script attached to them.
 *
 * \warning
 *   Never leave the Debug parameter enabled when releasing your mod, it will clog up everyones
@@ -521,23 +492,19 @@
 *   which are closer to the turret, good for less accurate weapons
 * \param Modifier_Target_Damage
 *   Priority modification to apply based on damage a target has already sustained. Higher values
-*   will favour targets which have already been damaged in combat, picking them off first
+*   will favour targets which have already been damaged in combat, picking them off first.
 * \param Modifier_Target_Value
 *   Priority modification to apply based on the value of the target. Higher values will favour
-*   targets with a higher purchase cost, good for hard hitting weapons
+*   targets with a higher purchase cost, good for hard hitting weapons.
 * \param Requires_Power
 *   Specify whether this turret requires base power to operate: 1 to require power, 0 to ignore
 * \param Debug
 *   Specify whether to produce a debug logfile about the turrets targetting decisions, this is
-*   useful for fine tuning your base priorities and modifiers: 1 to enable, 0 to disable
-* \param Detects_Stealth
-*   Determine whether this turret can detect stealthed enemies or not: 1 to enable, 0 to disable
+*   useful for fine tuning your base priorities and modifiers: 1 to enable, 0 to disable.
 *
 * \note
 *   Vehicles are always classified as light vehicles unless they have the dp88_AI_heavyVehicleMarker
-*   script attached to them<br/>
-*   <br/>
-*   The turret can be disabled using custom messages, see the note about this in dp88_customAI
+*   script attached to them.
 *
 * \warning
 *   Never leave the Debug parameter enabled when releasing your mod, it will clog up everyones
diff -uwr source/scripts/dp88_custom_timer_defines.h sourceold/scripts/dp88_custom_timer_defines.h
--- source/scripts/dp88_custom_timer_defines.h	2013-02-20 18:24:27.157226500 +0800
+++ sourceold/scripts/dp88_custom_timer_defines.h	2013-01-13 12:06:54.844789100 +0800
@@ -31,10 +31,8 @@
 #define BUILDINGSCRIPTS                           0x00020000
 #define CONQUEST                                  0x00030000
 #define REMOTECONTROL                             0x00040000
-#define OREMINING                                 0x00050000
-#define AI                                        0x00060000
 
-//#define AR_MINER                                  0x00A00000  // Avaiable for re-use
+#define AR_MINER                                  0x00A00000
 #define AR_IFV                                    0x00A10000
 
 // -------------------------------------------------------------------------------------------------
@@ -108,28 +106,16 @@
 #define TIMER_REMOTECONTROL_CHARGETICK            (DP88_TIMER|REMOTECONTROL|0x04)     //!< Timer to count down charge time
 
 // -------------------------------------------------------------------------------------------------
-// Ore Fields and Miners script group
+// AR Miner group
 // -------------------------------------------------------------------------------------------------
 
-#define CUSTOM_MINER_ENTERED_ORE_FIELD            (DP88_CUSTOM|OREMINING|0x01)        //!< Sent by ore field zone to miners on entry
-#define CUSTOM_MINER_EXITED_ORE_FIELD             (DP88_CUSTOM|OREMINING|0x02)        //!< Sent by ore field zone to miners on exit
-#define CUSTOM_MINER_ENTERED_DUMP_ZONE            (DP88_CUSTOM|OREMINING|0x03)        //!< Sent by ore dump zone to miners on entry
-#define CUSTOM_MINER_INCREASE_ORE_LOAD            (DP88_CUSTOM|OREMINING|0x04)        //!< Sent by miners to themselves on a delay to increase their ore load
-#define CUSTOM_MINER_UNLOAD_ORE_COMPLETE          (DP88_CUSTOM|OREMINING|0x05)        //!< Sent by miners to themselves on a delay to finish unloading ore
-#define CUSTOM_MINER_AI_SEARCH_FOR_ORE            (DP88_CUSTOM|OREMINING|0x06)        //!< Sent by AI miners to search for an ore field
-#define CUSTOM_CHRONO_MINER_DO_CHRONOSHIFT        (DP88_CUSTOM|OREMINING|0x07)        //!< Sent by Chrono Miner to itself to trigger chronoshift
-#define CUSTOM_CHRONO_MINER_RETRY_CHRONOSHIFT     (DP88_CUSTOM|OREMINING|0x08)        //!< Sent by Chrono Miner to itself to retry a failed chronoshift
-
-#define TIMER_OREMINING_EXTRACTOR                 (DP88_TIMER|OREMINING|0x01)         //!< Timer for the ore extractor
-
-// -------------------------------------------------------------------------------------------------
-// Custom AI group
-// -------------------------------------------------------------------------------------------------
-
-#define CUSTOM_TURRETAI_ENEMYSEEN                 (DP88_CUSTOM|AI|0x01)               //!< Sent from dp88_AI_PopupTurret_Spotter to dp88_AI_PopupTurret
-#define CUSTOM_TURRETAI_ANIMATIONCOMPLETE         (DP88_CUSTOM|AI|0x02)               //!< Sent from dp88_AI_ChargeTurret_Animation to dp88_AI_ChargeTurret
-#define CUSTOM_AI_DISABLEAI                       (DP88_CUSTOM|AI|0x03)               //!< Custom message that can be sent to a turret AI to disable it
-#define CUSTOM_AI_ENABLEAI                        (DP88_CUSTOM|AI|0x04)               //!< Custom message that can be sent to a turret AI to enable it
+#define CUSTOM_MINER_ENTERED_ORE_FIELD            (DP88_CUSTOM|AR_MINER|0x01)         //!< Sent by ore field zone to miners on entry
+#define CUSTOM_MINER_EXITED_ORE_FIELD             (DP88_CUSTOM|AR_MINER|0x02)         //!< Sent by ore field zone to miners on exit
+#define CUSTOM_MINER_ENTERED_DUMP_ZONE            (DP88_CUSTOM|AR_MINER|0x03)         //!< Sent by ore dump zone to miners on entry
+#define CUSTOM_MINER_INCREASE_ORE_LOAD            (DP88_CUSTOM|AR_MINER|0x04)         //!< Sent by miners to themselves on a delay to increase their ore load
+#define CUSTOM_MINER_UNLOAD_ORE_COMPLETE          (DP88_CUSTOM|AR_MINER|0x05)         //!< Sent by miners to themselves on a delay to finish unloading ore
+#define CUSTOM_CHRONO_MINER_DO_CHRONOSHIFT        (DP88_CUSTOM|AR_MINER|0x06)         //!< Sent by Chrono Miner to itself to trigger chronoshift
+#define CUSTOM_CHRONO_MINER_RETRY_CHRONOSHIFT     (DP88_CUSTOM|AR_MINER|0x07)         //!< Sent by Chrono Miner to itself to retry a failed chronoshift
 
 // -------------------------------------------------------------------------------------------------
 // AR IFV group
@@ -174,7 +160,8 @@
 #define CUSTOM_PRISMTOWER_STOP_CHARGING				1144060002
 
 // Customs for custom turret AI scripts
-
+#define CUSTOM_TURRETAI_ENEMYSEEN             1144080001    // Sent from dp88_AI_PopupTurret_Spotter to dp88_AI_PopupTurret
+#define CUSTOM_TURRETAI_ANIMATIONCOMPLETE     1144080002    // Send from dp88_AI_ChargeTurret_Animation to dp88_AI_ChargeTurret
 
 
 
diff -uwr source/scripts/dp88_misc.cpp sourceold/scripts/dp88_misc.cpp
--- source/scripts/dp88_misc.cpp	2013-02-19 09:30:47.855468700 +0800
+++ sourceold/scripts/dp88_misc.cpp	2013-01-21 11:44:47.533070300 +0800
@@ -927,7 +927,7 @@
 		GameObject* shifted_vehicle = Commands->Find_Object(shifted_vehicle_object_id);
 
     // Make the shifted vehicle invisible to base defences
-    Set_Vehicle_Is_Visible(shifted_vehicle,false);
+		Commands->Set_Is_Visible(shifted_vehicle,false);
 
 		// Move the shifted vehicle to this location
 		Set_Transform(shifted_vehicle, Get_Transform(obj) );
@@ -1623,6 +1623,7 @@
   int animFrame = 1+m_nAnimTransitionFrames;  // Neutral frame
   int teamFrames = (int)floor((1+m_nAnimTransitionFrames) * (abs(m_captureState)/m_captureTime));
   animFrame += (m_captureState<0) ? (teamFrames*-1) : teamFrames;
+  Console_Output ( "ccf: uaf: %d (%d, %f/%d = %f)\n", animFrame, teamFrames, m_captureState, m_captureTime, (abs(m_captureState)/m_captureTime) );
   Commands->Set_Animation_Frame(pObj, Get_Parameter("CaptureAnim"), animFrame);
 }
 
diff -uwr source/scripts/dp88_veterancy.cpp sourceold/scripts/dp88_veterancy.cpp
--- source/scripts/dp88_veterancy.cpp	2013-02-19 09:30:47.839843700 +0800
+++ sourceold/scripts/dp88_veterancy.cpp	2013-01-21 11:44:47.544789100 +0800
@@ -13,7 +13,7 @@
 #include "general.h"
 #include "dp88_veterancy.h"
 #include "dp88_custom_timer_defines.h"
-#include "VehicleGameObjDef.h"
+#include "VehicleGameObjDef.h"		// For VEHICLE_TYPE_TURRET
 #include "ScriptableGameObj.h"
 
 /******************************
@@ -161,10 +161,8 @@
 	give nothing
 
 	Points given: (pointsValue / total hit points) * damage */
-	if ( amount > 0  && Get_Object_Type(damager) != Get_Object_Type(obj) && abs(Get_Object_Type(obj)) < 2 )
-  {
+	if ( amount > 0  && Get_Object_Type(damager) != Get_Object_Type(obj) && Get_Object_Type(obj) < 2 )
 		grantVeterancyPoints ( damager, (pointsValue/totalHitPoints)*amount );
-  }
 
 	/* Otherwise if damage is < 0 then it is repairs, grant veterancy points if the repairer is on
 	the same team (and we are not an empty vehicle).
diff -uwr source/scripts/engine_obj2.h sourceold/scripts/engine_obj2.h
--- source/scripts/engine_obj2.h	2013-02-12 09:36:05.831054600 +0800
+++ sourceold/scripts/engine_obj2.h	2012-07-28 09:11:05.887695300 +0800
@@ -45,12 +45,7 @@
 bool SCRIPTS_API PointInZone(GameObject *obj,const Vector3 &v); //Is a point in a zone
 bool SCRIPTS_API Is_Available_For_Purchase(GameObject *factory); //Is it possible to purchase a vehicle from this factory
 GameObject SCRIPTS_API *Get_Vehicle_Gunner_Pos(GameObject *obj); //Get the vehicle gunner, returns zero if there is no gunner
-
-/*!
-* Set whether a VehicleGameObj is visible to AIs utilising the Enemy_Seen logic. For soldiers use
-* the ScriptCommands::Set_Is_Visible function instead.
-*/
-void SCRIPTS_API Set_Vehicle_Is_Visible(GameObject *obj,bool visible);
+void SCRIPTS_API Set_Vehicle_Is_Visible(GameObject *obj,bool visible); //works like Set_Is_Visible but for vehicles, makes them be ignored by Enemy_Seen
 void SCRIPTS_API Set_Vehicle_Gunner(GameObject *obj,int seat); //set gunner for this vehicle
 bool SCRIPTS_API Is_Spy(GameObject *obj); //Is this soldier object a spy
 SCRIPTS_API int Get_Player_Count_In_Zone(GameObject *obj,int Team); //Get the player count in a zone
diff -uwr source/scripts/engine_pt.cpp sourceold/scripts/engine_pt.cpp
--- source/scripts/engine_pt.cpp	2013-02-12 09:35:51.448242100 +0800
+++ sourceold/scripts/engine_pt.cpp	2012-07-28 09:11:05.862304600 +0800
@@ -201,21 +201,3 @@
 	}
 	return icon;
 }
-
-void SCRIPTS_API Disable_All_Presets_By_Factory_Tech(BuildingType type,unsigned int team,bool disable)
-{
-	for (unsigned int i = 0;i < 5;i++)
-	{
-		PurchaseSettingsDefClass *p = PurchaseSettingsDefClass::Find_Definition((PurchaseSettingsDefClass::TYPE)i,(PurchaseSettingsDefClass::TEAM)PTTEAM(team));
-		if (p)
-		{
-			for (unsigned int j = 0;j < 10;j++)
-			{
-				if ((p->Get_Factory_Building(j) == type) || (p->Get_Tech_Building(j) == type))
-				{
-					p->Set_Disabled(j,disable);
-				}
-			}
-		}
-	}
-}
